diff --git a/lib/hive/commands/web/service_installer.rb b/lib/hive/commands/web/service_installer.rb
new file mode 100644
index 00000000..7d35e74f
--- /dev/null
+++ b/lib/hive/commands/web/service_installer.rb
@@ -0,0 +1,131 @@
+require "cgi"
+require "shellwords"
+require "rexml/document"
+require "hive/config"
+require "hive/paths"
+require "hive/commands/service_installer/base"
+require "hive/web/environment"
+
+module Hive
+  module Commands
+    class Web
+      class ServiceInstaller < Hive::Commands::ServiceInstaller::Base
+        def initialize(bind: nil, port: nil, unsafe: false, **kwargs)
+          @bind = bind
+          @port = port
+          @unsafe = unsafe
+          super(**kwargs)
+        end
+
+        def service_name = "hive-web"
+        def cli_label = "web"
+        def service_noun = "web service"
+        def unit_noun = "web unit"
+
+        def target_path
+          case platform
+          when :macos then File.join(@home, "Library/LaunchAgents/local.hive-web.plist")
+          when :linux then File.join(@home, ".config/systemd/user/hive-web.service")
+          end
+        end
+
+        def installed_settings
+          path = target_path
+          return { "readable" => false, "message" => "web unit is not installed" } unless path && File.exist?(path)
+
+          values = envelope_platform == "macos" ? launchd_environment(path) : systemd_environment_values(path)
+          bind = values.fetch("HIVE_WEB_BIND")
+          port = Integer(values.fetch("HIVE_WEB_PORT"))
+          {
+            "readable" => true,
+            "bind" => bind,
+            "port" => port,
+            "unsafe" => values["HIVE_WEB_UNSAFE"] == "true",
+            "url" => Hive::Web::Environment.new(
+              config: Hive::Config.load_global_web,
+              bind: bind,
+              port: port,
+              unsafe: values["HIVE_WEB_UNSAFE"] == "true"
+            ).url,
+            "configuration_drift" => File.read(path) != rendered_definition
+          }
+        rescue KeyError, ArgumentError, REXML::ParseException, SystemCallError => e
+          { "readable" => false, "message" => e.message }
+        end
+
+        private
+
+        def render_systemd
+          template = File.read(File.expand_path("../../../../examples/systemd/hive-web.service", __dir__))
+          lines = service_environment.reject { |key, _value| key == "PATH" }
+                                     .map { |key, value| systemd_environment(key, value) }
+          template
+            .sub(/^ExecStart=.*$/, "ExecStart=#{Shellwords.escape(resolved_binary)} web")
+            .sub(/^Environment=PATH=.*$/, ([ build_path_line ] + lines).join("\n"))
+        end
+
+        def render_launchd
+          template = File.read(File.expand_path("../../../../examples/launchd/hive-web.plist", __dir__))
+          environment_xml = service_environment.map do |key, value|
+            "    <key>#{CGI.escapeHTML(key)}</key>\n    <string>#{CGI.escapeHTML(value)}</string>"
+          end.join("\n")
+          template
+            .gsub("/Users/YOU/.local/bin/hive", CGI.escapeHTML(resolved_binary))
+            .gsub("/Users/YOU/Library/Logs", "#{CGI.escapeHTML(@home)}/Library/Logs")
+            .sub(
+              %r{  <key>EnvironmentVariables</key>\n  <dict>.*?</dict>}m,
+              "  <key>EnvironmentVariables</key>\n  <dict>\n#{environment_xml}\n  </dict>"
+            )
+        end
+
+        def service_environment
+          cfg = Hive::Config.load_global_web
+          web = Hive::Web::Environment.new(
+            config: cfg, bind: @bind, port: @port, unsafe: @unsafe
+          )
+          cli_root = Gem.loaded_specs["hive-cli"]&.full_gem_path ||
+            File.expand_path("../../../..", __dir__)
+          web.to_h(app_dir: Hive::Paths.web_app_home, cli_root: cli_root, managed: true).merge(
+            "HIVE_WEB_APP_DIR" => Hive::Paths.web_app_home,
+            "HIVE_INVOKED_BIN" => resolved_binary,
+            "PATH" => launchd_path
+          )
+        end
+
+        def rendered_definition
+          envelope_platform == "macos" ? render_launchd : render_systemd
+        end
+
+        def systemd_environment_values(path)
+          File.readlines(path, chomp: true).filter_map do |line|
+            next unless line.start_with?("Environment=")
+
+            entry = Shellwords.split(line.delete_prefix("Environment=")).first
+            entry&.split("=", 2)
+          end.to_h
+        end
+
+        def launchd_environment(path)
+          document = REXML::Document.new(File.read(path))
+          dict = REXML::XPath.first(
+            document,
+            "/plist/dict/key[.='EnvironmentVariables']/following-sibling::dict[1]"
+          )
+          return {} unless dict
+
+          elements = dict.elements.to_a
+          elements.each_with_index.filter_map do |element, index|
+            next unless element.name == "key"
+
+            [ element.text.to_s, elements[index + 1]&.text.to_s ]
+          end.to_h
+        end
+
+        def systemd_environment(key, value)
+          escaped = "#{key}=#{value}".gsub("\\", "\\\\\\\\").gsub("\"", "\\\"").gsub("%", "%%")
+          "Environment=\"#{escaped}\""
+        end
+      end
+    end
+  end
+end
diff --git a/lib/hive/daemon/status_report.rb b/lib/hive/daemon/status_report.rb
new file mode 100644
index 00000000..f1cbc533
--- /dev/null
+++ b/lib/hive/daemon/status_report.rb
@@ -0,0 +1,164 @@
+require "json"
+require "open3"
+require "rexml/document"
+require "shellwords"
+require "timeout"
+require "hive"
+require "hive/bounded_process"
+require "hive/invoked_binary"
+require "hive/web/daemon_maintenance"
+
+module Hive
+  module Daemon
+    class StatusReport
+      DRIFT_VALUES = %w[none path version unparseable unreadable not_applicable].freeze
+
+      def initialize(installer:, pid_probe:, pid_file:, log_file:,
+                     current_binary: nil, current_version: Hive::VERSION,
+                     runner: nil, timeout: 3)
+        @installer = installer
+        @pid_probe = pid_probe
+        @pid_file = pid_file
+        @log_file = log_file
+        @current_binary = current_binary || Hive::InvokedBinary.path || $PROGRAM_NAME
+        @current_version = current_version
+        @runner = runner || method(:run_probe)
+        @timeout = timeout
+      end
+
+      def to_h
+        process = process_state
+        service = @installer.service_state
+        installed = installed_state(service)
+        drift = classify_drift(service, installed)
+        service.merge(process).merge(
+          "installed_executable" => installed[:executable],
+          "installed_version" => installed[:version],
+          "current_executable" => @current_binary,
+          "current_version" => @current_version,
+          "drift" => drift,
+          "drift_message" => drift_message(drift, installed),
+          "last_maintenance" => Hive::Web::DaemonMaintenance.last_result,
+          "ready" => process["running"] &&
+            service["service_installed"] == true &&
+            service["service_enabled"] == true &&
+            drift == "none"
+        )
+      rescue StandardError => e
+        {
+          "platform" => nil, "unit_path" => nil,
+          "service_installed" => nil, "service_enabled" => nil,
+          "installed_executable" => nil, "installed_version" => nil,
+          "current_executable" => @current_binary, "current_version" => @current_version,
+          "drift" => "unreadable", "drift_message" => e.message,
+          "last_maintenance" => Hive::Web::DaemonMaintenance.last_result,
+          "ready" => false
+        }.merge(process || {
+          "running" => false, "pid" => nil, "uptime_sec" => nil,
+          "pid_file" => @pid_file, "log_file" => @log_file
+        })
+      end
+
+      private
+
+      def process_state
+        pid = @pid_probe.send(:read_live_pid)
+        uptime = pid && File.file?(@pid_file) ? (Time.now - File.stat(@pid_file).mtime).to_i : nil
+        {
+          "running" => !pid.nil?,
+          "pid" => pid,
+          "uptime_sec" => uptime,
+          "pid_file" => @pid_file,
+          "log_file" => @log_file
+        }
+      rescue StandardError
+        {
+          "running" => false, "pid" => nil, "uptime_sec" => nil,
+          "pid_file" => @pid_file, "log_file" => @log_file
+        }
+      end
+
+      def installed_state(service)
+        return { executable: nil, version: nil, message: nil, state: :absent } unless service["service_installed"]
+
+        path = service["unit_path"]
+        return { executable: nil, version: nil, message: "unit path is unavailable", state: :unreadable } unless path
+
+        executable = parse_executable(path, service["platform"])
+        return { executable: nil, version: nil, message: "Hive executable not found in service definition", state: :unparseable } unless executable
+
+        probe = @runner.call([ executable, "--version" ], timeout: @timeout)
+        version = probe[:ok] ? extract_version(probe[:stdout], probe[:stderr]) : nil
+        state = version ? :parsed : :unparseable
+        message = version ? nil : probe_message(probe)
+        { executable: executable, version: version, message: message, state: state }
+      rescue Errno::EACCES, Errno::ENOENT, Errno::EISDIR => e
+        { executable: nil, version: nil, message: e.message, state: :unreadable }
+      rescue REXML::ParseException, ArgumentError => e
+        { executable: nil, version: nil, message: e.message, state: :unparseable }
+      end
+
+      def parse_executable(path, platform)
+        argv =
+          if platform == "macos"
+            document = REXML::Document.new(File.read(path))
+            array = REXML::XPath.first(
+              document,
+              "/plist/dict/key[.='ProgramArguments']/following-sibling::array[1]"
+            )
+            array ? array.get_elements("string").map(&:text) : []
+          else
+            line = File.readlines(path, chomp: true).find { |candidate| candidate.start_with?("ExecStart=") }
+            line ? Shellwords.split(line.delete_prefix("ExecStart=")) : []
+          end
+        argv.find { |token| %w[hive hv].include?(File.basename(token.to_s)) }
+      end
+
+      def classify_drift(service, installed)
+        return "not_applicable" unless service["service_installed"]
+        return installed[:state].to_s if %i[unreadable unparseable].include?(installed[:state])
+        return "path" unless same_path?(installed[:executable], @current_binary)
+        return "version" unless installed[:version] == @current_version
+
+        "none"
+      end
+
+      def drift_message(drift, installed)
+        case drift
+        when "none" then nil
+        when "path"
+          "Service uses #{installed[:executable]}; the current Hive executable is #{@current_binary}."
+        when "version"
+          "Service resolves Hive #{installed[:version] || 'unknown'}; the current version is #{@current_version}."
+        when "not_applicable"
+          "The daemon service is not installed."
+        else
+          installed[:message] || "The daemon service definition could not be verified."
+        end
+      end
+
+      def same_path?(left, right)
+        File.expand_path(left.to_s) == File.expand_path(right.to_s)
+      end
+
+      def extract_version(*values)
+        text = values.join(" ")
+        text[/\d+\.\d+\.\d+(?:[-.][0-9A-Za-z.-]+)?/]
+      end
+
+      def probe_message(probe)
+        [ probe[:stderr], probe[:stdout], "exit #{probe[:exit_code]}" ]
+          .find { |value| !value.to_s.strip.empty? }.to_s.lines.first.to_s.strip
+      end
+
+      def run_probe(argv, timeout:)
+        stdout, stderr, status = Hive::BoundedProcess.capture3(*argv, timeout: timeout)
+        { ok: status.success?, stdout: stdout, stderr: stderr, exit_code: status.exitstatus }
+      rescue Timeout::Error
+        { ok: false, stdout: "", stderr: "version probe timed out after #{timeout}s", exit_code: nil }
+      rescue SystemCallError => e
+        { ok: false, stdout: "", stderr: e.message, exit_code: nil }
+      end
+    end
+  end
+end
diff --git a/lib/hive/paths.rb b/lib/hive/paths.rb
index 752a5c7d..214f8f83 100644
--- a/lib/hive/paths.rb
+++ b/lib/hive/paths.rb
@@ -20,6 +20,18 @@ module Hive
       hive_home_override || File.join(base_home("XDG_CACHE_HOME", ".cache"), "hive")
     end
 
+    def web_app_home
+      File.join(data_home, "web")
+    end
+
+    def web_gems_home
+      File.join(data_home, "web-gems")
+    end
+
+    def web_storage_home
+      File.join(state_home, "web-storage")
+    end
+
     def task_counter_path
       File.join(state_home, "task-counter.yml")
     end
diff --git a/lib/hive/setup/check_result.rb b/lib/hive/setup/check_result.rb
new file mode 100644
index 00000000..f2ca801d
--- /dev/null
+++ b/lib/hive/setup/check_result.rb
@@ -0,0 +1,42 @@
+module Hive
+  module Setup
+    class CheckResult
+      STATUSES = %w[pass warning fail missing].freeze
+
+      attr_reader :name, :category, :detected, :required, :status,
+                  :remediation, :bootstrappable, :message
+
+      def initialize(name:, category:, detected:, required:, status:, remediation:,
+                     bootstrappable:, message: nil)
+        raise ArgumentError, "unknown setup check status #{status.inspect}" unless STATUSES.include?(status)
+
+        @name = name
+        @category = category
+        @detected = detected
+        @required = required
+        @status = status
+        @remediation = Array(remediation).freeze
+        @bootstrappable = !!bootstrappable
+        @message = message
+        freeze
+      end
+
+      def success?
+        status == "pass" || status == "warning"
+      end
+
+      def to_h
+        {
+          "name" => name,
+          "category" => category,
+          "detected" => detected,
+          "required" => required,
+          "status" => status,
+          "remediation" => remediation,
+          "bootstrappable" => bootstrappable,
+          "message" => message
+        }
+      end
+    end
+  end
+end
diff --git a/lib/hive/setup/diagnostics.rb b/lib/hive/setup/diagnostics.rb
new file mode 100644
index 00000000..8aacb87a
--- /dev/null
+++ b/lib/hive/setup/diagnostics.rb
@@ -0,0 +1,237 @@
+require "open3"
+require "rubygems"
+require "timeout"
+require "hive"
+require "hive/bounded_process"
+require "hive/paths"
+require "hive/setup/check_result"
+
+module Hive
+  module Setup
+    class Diagnostics
+      DEFAULT_TIMEOUT = 5
+      AUTH_PROBES = {
+        "gh" => {
+          argv: %w[gh auth status],
+          remediation: "gh auth login"
+        },
+        "claude" => {
+          argv: %w[claude auth status],
+          remediation: "claude auth login"
+        },
+        "codex" => {
+          argv: %w[codex login status],
+          remediation: "codex login"
+        }
+      }.freeze
+
+      def initialize(host_os: RbConfig::CONFIG["host_os"], ruby_version: RUBY_VERSION,
+                     runner: nil, which: nil, web_bundle_current: nil,
+                     timeout: DEFAULT_TIMEOUT)
+        @host_os = host_os
+        @ruby_version = ruby_version
+        @runner = runner || method(:run_probe)
+        @which = which || method(:which)
+        @web_bundle_current = web_bundle_current || method(:web_bundle_current?)
+        @timeout = timeout
+      end
+
+      def call
+        platform = platform_result
+        return [ platform ] unless platform.success?
+
+        [
+          platform,
+          ruby_result,
+          command_result("git", category: "tool", remediation: install_hint("git")),
+          command_result("tmux", category: "tool", remediation: install_hint("tmux")),
+          command_result("node", category: "runtime", remediation: node_hint),
+          command_result("npm", category: "runtime", remediation: node_hint),
+          command_result("sqlite3", category: "runtime", remediation: install_hint("sqlite3")),
+          cosign_result,
+          command_result("qmd", category: "hive_owned", remediation: "hive setup",
+                                  bootstrappable: true, version_argv: %w[qmd --version]),
+          *AUTH_PROBES.flat_map { |name, probe| agent_results(name, probe) },
+          web_bundle_result
+        ]
+      end
+
+      private
+
+      def platform_result
+        supported = @host_os.match?(/linux|darwin/i)
+        result(
+          "platform", "platform",
+          detected: @host_os,
+          required: "Linux or macOS",
+          status: supported ? "pass" : "fail",
+          remediation: supported ? [] : [ "Run Hive local web on Linux or macOS; Windows is not supported." ]
+        )
+      end
+
+      def ruby_result
+        supported = Gem::Version.new(@ruby_version) >= Gem::Version.new("3.4")
+        result(
+          "ruby", "runtime",
+          detected: @ruby_version,
+          required: ">= 3.4",
+          status: supported ? "pass" : "fail",
+          remediation: supported ? [] : [ ruby_hint ]
+        )
+      rescue ArgumentError => e
+        result("ruby", "runtime", detected: @ruby_version, required: ">= 3.4",
+               status: "fail", remediation: [ ruby_hint ], message: e.message)
+      end
+
+      def command_result(name, category:, remediation:, bootstrappable: false, version_argv: nil)
+        path = @which.call(name)
+        unless path
+          return result(name, category, detected: nil, required: "installed",
+                        status: "missing", remediation: [ remediation ],
+                        bootstrappable: bootstrappable)
+        end
+
+        probe = version_argv && safe_probe(version_argv)
+        if probe && !probe[:ok]
+          return result(name, category, detected: path, required: "working",
+                        status: "fail", remediation: [ remediation ],
+                        bootstrappable: bootstrappable, message: probe_message(probe))
+        end
+
+        detected = probe ? first_line(probe[:stdout], probe[:stderr]) : path
+        result(name, category, detected: detected, required: "installed",
+               status: "pass", remediation: [], bootstrappable: bootstrappable)
+      end
+
+      def agent_results(name, probe)
+        command = command_result(
+          name,
+          category: "agent",
+          remediation: install_hint(name)
+        )
+        return [ command ] unless command.success?
+
+        auth = safe_probe(probe.fetch(:argv))
+        auth_result =
+          if auth[:ok]
+            result("#{name}_auth", "authentication", detected: "authenticated",
+                   required: "authenticated", status: "pass", remediation: [])
+          else
+            result("#{name}_auth", "authentication", detected: "unauthenticated",
+                   required: "authenticated", status: "fail",
+                   remediation: [ probe.fetch(:remediation) ],
+                   message: probe_message(auth))
+          end
+        [ command, auth_result ]
+      end
+
+      def web_bundle_result
+        current = @web_bundle_current.call
+        result(
+          "web_bundle", "hive_owned",
+          detected: current ? Hive::VERSION : nil,
+          required: Hive::VERSION,
+          status: current ? "pass" : "missing",
+          remediation: current ? [] : [ "hive web install" ],
+          bootstrappable: true
+        )
+      rescue StandardError => e
+        result("web_bundle", "hive_owned", detected: nil, required: Hive::VERSION,
+               status: "fail", remediation: [ "hive web install" ],
+               bootstrappable: true, message: e.message)
+      end
+
+      def cosign_result
+        if custom_bundle_authenticated?
+          return result(
+            "cosign", "security", detected: "not required (custom SHA-256)",
+            required: "cosign or custom bundle SHA-256", status: "pass", remediation: []
+          )
+        end
+
+        command_result("cosign", category: "security", remediation: install_hint("cosign"))
+      end
+
+      def custom_bundle_authenticated?
+        !ENV["HIVE_WEB_BUNDLE_URL"].to_s.empty? &&
+          ENV["HIVE_WEB_BUNDLE_SHA256"].to_s.match?(/\A[0-9a-f]{64}\z/i)
+      end
+
+      def safe_probe(argv)
+        @runner.call(argv, timeout: @timeout)
+      rescue Timeout::Error
+        { ok: false, stdout: "", stderr: "timed out after #{@timeout}s", exit_code: nil }
+      rescue SystemCallError => e
+        { ok: false, stdout: "", stderr: e.message, exit_code: nil }
+      rescue StandardError => e
+        { ok: false, stdout: "", stderr: "#{e.class}: #{e.message}", exit_code: nil }
+      end
+
+      def run_probe(argv, timeout:)
+        stdout, stderr, status = Hive::BoundedProcess.capture3(*argv, timeout: timeout)
+        { ok: status.success?, stdout: stdout, stderr: stderr, exit_code: status.exitstatus }
+      end
+
+      def which(name)
+        search_paths = [
+          Hive::Paths.bin_home,
+          File.join(Hive::Paths.data_home, "qmd", "bin"),
+          *ENV["PATH"].to_s.split(File::PATH_SEPARATOR)
+        ].uniq
+        search_paths.each do |dir|
+          path = File.join(dir, name)
+          return path if File.file?(path) && File.executable?(path)
+        end
+        nil
+      end
+
+      def web_bundle_current?
+        marker = File.join(Hive::Paths.data_home, "web", ".hive-web-version")
+        File.file?(marker) && File.read(marker).strip == Hive::VERSION
+      end
+
+      def result(name, category, detected:, required:, status:, remediation:,
+                 bootstrappable: false, message: nil)
+        CheckResult.new(
+          name: name, category: category, detected: detected, required: required,
+          status: status, remediation: remediation, bootstrappable: bootstrappable,
+          message: message
+        )
+      end
+
+      def first_line(*values)
+        values.find { |value| !value.to_s.strip.empty? }.to_s.lines.first.to_s.strip
+      end
+
+      def probe_message(probe)
+        first_line(probe[:stderr], probe[:stdout], "exit #{probe[:exit_code]}")
+      end
+
+      def install_hint(tool)
+        return "brew install #{tool}" if @host_os.match?(/darwin/i)
+
+        linux_install_hint(tool)
+      end
+
+      def node_hint
+        @host_os.match?(/darwin/i) ? "brew install node" : "sudo apt-get update && sudo apt-get install -y nodejs npm"
+      end
+
+      def ruby_hint
+        return "brew install ruby@3.4" if @host_os.match?(/darwin/i)
+
+        "Install Ruby 3.4 with `mise use --global ruby@3.4`"
+      end
+
+      def linux_install_hint(tool)
+        package = { "sqlite3" => "sqlite3", "claude" => "@anthropic-ai/claude-code",
+                    "codex" => "@openai/codex" }.fetch(tool, tool)
+        return "npm install --global #{package}" if %w[claude codex].include?(tool)
+        return "See https://cli.github.com/manual/installation for Linux installation commands" if tool == "gh"
+        return "Install cosign from https://docs.sigstore.dev/cosign/system_config/installation/" if tool == "cosign"
+
+        "sudo apt-get update && sudo apt-get install -y #{package}"
+      end
+    end
+  end
+end
diff --git a/lib/hive/skill_check.rb b/lib/hive/skill_check.rb
index e11197d7..5bb1b8de 100644
--- a/lib/hive/skill_check.rb
+++ b/lib/hive/skill_check.rb
@@ -2,6 +2,7 @@ require "json"
 require "open3"
 require "pathname"
 require "timeout"
+require "hive/bounded_process"
 
 module Hive
   # Per-agent verification that a configured slash-command skill
@@ -366,9 +367,9 @@ module Hive
       end
 
       def global_npm_root
-        out, _err, status = Timeout.timeout(NPM_ROOT_TIMEOUT_SEC) do
-          Open3.capture3("npm", "root", "-g")
-        end
+        out, _err, status = Hive::BoundedProcess.capture3(
+          "npm", "root", "-g", timeout: NPM_ROOT_TIMEOUT_SEC
+        )
         return nil unless status.success?
 
         root = out.lines.first&.strip
diff --git a/lib/hive/stages/auto_commit.rb b/lib/hive/stages/auto_commit.rb
index 780c121c..d4e5df82 100644
--- a/lib/hive/stages/auto_commit.rb
+++ b/lib/hive/stages/auto_commit.rb
@@ -1,6 +1,7 @@
 require "open3"
 require "fileutils"
 require "hive/config"
+require "hive/bounded_process"
 require "hive/git_ops"
 
 module Hive
@@ -59,16 +60,11 @@ module Hive
       # callers (CleanExit etc.) surface `:error reason=
       # ensure_clean_on_exit_failed`.
       #
-      # Wraps `Open3.capture3` in a `Timeout.timeout` guard. When a
-      # test stubs `Open3.capture3` (current_main_coverage_gap_test.rb
-      # et al.), the stub fires inside the timeout block and returns
-      # immediately, preserving the existing stub-based test surface.
-      # The real call benefits from the bounded deadline: a hung child
-      # produces `Timeout::Error`, which we translate to
-      # `timed_out: true`.
+      # The bounded runner owns a process group and terminates/reaps it on
+      # timeout; Timeout.timeout around Open3.capture3 can remain blocked in
+      # Open3 cleanup while the child is still alive.
       def capture_git_with_timeout(argv, label:, timeout_sec: AUTO_COMMIT_OP_TIMEOUT_SEC)
-        require "timeout"
-        out, err, status = Timeout.timeout(timeout_sec) { Open3.capture3(*argv) }
+        out, err, status = Hive::BoundedProcess.capture3(*argv, timeout: timeout_sec)
         if status.success?
           { success: true, timed_out: false, stdout: out.to_s, stderr: err.to_s }
         else
@@ -84,7 +80,7 @@ module Hive
         {
           success: false,
           timed_out: true,
-          message: "#{label} timed out after #{AUTO_COMMIT_OP_TIMEOUT_SEC}s",
+          message: "#{label} timed out after #{timeout_sec}s",
           stdout: "",
           stderr: ""
         }
